function y = neuron_hamming(x,w, N)
% Funkce pro vypocet vystupu neuronu z Hammingove site
% Vstupni parametry:
    % x - vstupni vektor (vzor, sloupcovy vektor vstupnich hodnot)
    % w - vektor vah neuronu (sloupcovy vektor) odpovidajici vstupnim vzorum
    % N - delka vstupniho vektoru (vzoru) - prahova hodnota

    y = 0.5 * ( sum(x .* w) + N);
end
